import React from 'react';
import Taro from '@tarojs/taro';
import { Tabbar, TabbarItem } from '@antmjs/vantui'
import { View, Slot } from '@tarojs/components';
import './style.less';

export default (props) => {
  const { active } = props;

  const onTabChange = (e) => {
    const index = e.detail;
    const tabPage = [
      '/pages/index/index',
      '/pages/mine/index',
    ]

    const url = tabPage[index];
    Taro.reLaunch({ url });
  }

  return (
    <View className="page">
      {props.children}
      <Tabbar active={active} onChange={onTabChange}>
        <TabbarItem>绑定设备</TabbarItem>
        <TabbarItem>
          我的
        </TabbarItem>
      </Tabbar>
    </View>
  )
}
